Bug 76269 - Converting file to lss using ppmtolss16 doesn't work
Converting file to lss using ppmtolss16 doesn't work
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: syslinux (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On: 103119
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-18 18:59 EDT by Forrest
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version: syslinux-2.03
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-27 18:02:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Forrest 2002-10-18 18:59:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021001

Description of problem:
When trying to rebuild the Red Hat Linux discs, mk-images.i386 tries to run this
line:
pngtopnm $BOOTDISKDIR/syslinux-splash.png | ppmtolss16 \#000000=0 \#c4c7ce=7
\#c60000=2 \#ffffff=15 \#7790c2=9 > $BOOTDISKDIR/splash.lss

and it gives this error:

/usr/bin/ppmtolss16: Premature EOF at (301,225) of (640,300)

Trying pngtopnm syslinux-splash.png|ppmtolss16 > temp.lss16 gives the same
error, but this command works on Red Hat Linux 7.3.


Version-Release number of selected component (if applicable):
syslinux-1.75-3
anaconda*-8.0-4


How reproducible:
Always

Steps to Reproduce:
1.  get syslinux-splash.png from disc 1
2.  pngtopnm syslinux-splash.png|ppmtolss16 > /tmp/temp.lss16

Actual Results:  /usr/bin/ppmtolss16: Premature EOF at (301,225) of (640,300)

Expected Results:  I should get a splash.lss file
Comment 1 Forrest 2002-10-21 17:50:54 EDT
I just tested:

pngtopnm syslinux-splash.png | LANG=C ppmtolss16 > /tmp/temp.lss16, and it
worked.  For some reason, perl has problems sometimes when not using LANG=C.  I
would still like to know if there is a better fix.
Comment 2 Steve Bonneville 2003-04-02 11:46:40 EST
This is also true for /usr/bin/lss16toppm.  Verified with the boot floppy lss
file from 8.0.  I haven't looked closely at the scripts, but something in there
isn't UTF-8 safe.

  lss16toppm < splash.lss > /tmp/splash.ppm          (FAILS in an ugly way)
  LANG=C lss16toppm < splash.lss > /tmp/splash.ppm   (WORKS)

Setting LANG=C works as a workaround.  Tested with syslinux-1.75-3.
Comment 3 Forrest 2003-08-27 18:02:10 EDT
syslinux-2.03 fixed this problem

Note You need to log in before you can comment on or make changes to this bug.